io.vertx.ext.healthchecks

## Interface HealthChecks

-     public interface HealthChecks

  Author:
    Clement Escoffier

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HealthChecks` | `create(Vertx vertx)` Creates a new instance of the default implementation of `HealthChecks`.
    `HealthChecks` | `invoke(Handler<JsonObject> resultHandler)` Invokes the registered procedures and computes the outcome.
    `HealthChecks` | `invoke(String name, Handler<AsyncResult<JsonObject>> resultHandler)` Invokes the registered procedure with the given name and sub-procedures.
    `HealthChecks` | `register(String name, Handler<Future<Status>> procedure)` Registers a health check procedure.
    `HealthChecks` | `unregister(String name)` Unregisters a procedure.

- - ### Method Detail

    - #### create

          static HealthChecks create(Vertx vertx)

      Creates a new instance of the default implementation of `HealthChecks`.
      Parameters:
        `vertx` - the instance of Vert.x, must not be `null`
      Returns:
        the created instance

    - #### register

          HealthChecks register(String name,
                                Handler<Future<Status>> procedure)

      Registers a health check procedure.

      The procedure is a `Handler` taking a `Future` of `Status` as parameter. Procedures are asynchronous, and must complete or fail the given `Future`. If the future object is failed, the procedure outcome is considered as `DOWN`. If the future is completed without any object, the procedure outcome is considered as `UP`. If the future is completed with a (not-null) `Status`, the procedure outcome is the received status.

      Parameters:
        `name` - the name of the procedure, must not be `null` or empty
        `procedure` - the procedure, must not be `null`
      Returns:
        the current `HealthChecks`

    - #### unregister

          HealthChecks unregister(String name)

      Unregisters a procedure.
      Parameters:
        `name` - the name of the procedure
      Returns:
        the current `HealthChecks`

    - #### invoke

          HealthChecks invoke(Handler<JsonObject> resultHandler)

      Invokes the registered procedures and computes the outcome.
      Parameters:
        `resultHandler` - the result handler, must not be `null`. The handler received the computed `JsonObject`.
      Returns:
        the current `HealthChecks`

    - #### invoke

          HealthChecks invoke(String name,
                              Handler<AsyncResult<JsonObject>> resultHandler)

      Invokes the registered procedure with the given name and sub-procedures. It computes the overall outcome.
      Parameters:
        `resultHandler` - the result handler, must not be `null`. The handler received an `AsyncResult` marked as failed if the procedure with the given name cannot be found or invoked.
      Returns:
        the current `HealthChecks`

Copyright © 2017. All rights reserved.